Skip to main content
GET
Get Workflow Definition Handler

Headers

authorization
string | null

Path Parameters

definition_id
string<uuid>
required

Cookies

ks_uat
string | null

Response

Successful Response

Workflow definition response.

id
string<uuid>
required
name
string
required
description
string | null
required
runner_type
enum<string>
required

Runner that executes the workflow.

Available options:
SELF_HOSTED
runner_config
SelfHostedRunnerConfigResponse · object | null
required

Response-safe version of runner config — excludes webhook_secret.

max_run_duration_seconds
integer
required
source_path_part_ids
string<uuid>[]
required
instruction_path_part_ids
string<uuid>[]
required
output_path_part_ids
string<uuid>[]
required
template_path_part_id
string<uuid> | null
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required